Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 1955)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 1956)
@@ -35,14 +35,18 @@
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
 import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.results.TXMResult;
+import org.txm.rcp.JobsTimer;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.JobsTimer;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.statsengine.core.StatsEnginesManager;
+import org.txm.statsengine.r.core.RStatsEngine;
 import org.txm.statsengine.r.rcp.messages.RUIMessages;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
+import org.txm.utils.logger.Log;
 
 /**
  * Commands that creates a R object using a TXMResult.
@@ -80,7 +84,14 @@
 							try {
 								monitor.subTask(RUIMessages.sendingToRWorkspaceColon+ o);
 								this.acquireSemaphore();
-								send((TXMResult)o);
+								String symbol = send((TXMResult)o);
+								if (symbol == null) {
+									Log.info("** {0} was not transfered to the R workspace.");
+									this.releaseSemaphore();
+									return Status.CANCEL_STATUS;
+								} else {
+									Log.info(NLS.bind("{0} has been copied in the ''{1}'' R variable.", o.toString(), symbol));
+								}
 								this.releaseSemaphore();
 
 								monitor.worked(delta);
@@ -121,8 +132,15 @@
 	 * @param o the o
 	 * @throws Exception the exception
 	 */
-	public abstract void send(TXMResult o) throws Exception;
+	public String send(TXMResult o) throws Exception {
 	
+		RStatsEngine rengine = (RStatsEngine)StatsEnginesManager.getREngine();
+		if (rengine.getTransformers().containsKey(o.getClass().getName())) {
+			return rengine.getTransformers().get(o.getClass().getName()).fromTXMtoR(o);
+		} else {
+			Log.info(NLS.bind("{0} cannot be copied in thr R workspace", o.getSimpleName()));
+			return null;
+		}
 	//TODO: MD: create the SendToRCommands commands in all plugins that manage the following TXMResult classes
 	/*{
 
@@ -161,4 +179,5 @@
 		}
 	}
 	 */
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/plugin.xml
===================================================================
--- tmp/org.txm.statsengine.r.rcp/plugin.xml	(revision 1955)
+++ tmp/org.txm.statsengine.r.rcp/plugin.xml	(revision 1956)
@@ -50,7 +50,7 @@
       </command>
                <command
             defaultHandler="org.txm.statsengine.r.rcp.handlers.SendToRCommand"
-            id="SendToR"
+            id="org.txm.statsengine.r.rcp.handlers.SendToRCommand"
             name="%command.name.53">
       </command>
          
@@ -116,7 +116,7 @@
             allPopups="false"
             locationURI="menu:menu.tools?before=menu.tools.separator.misc">
          <command
-               commandId="SendToR"
+               commandId="org.txm.statsengine.r.rcp.handlers.SendToRCommand"
                icon="icons/SendToR.png"
                style="push">
             <visibleWhen
@@ -148,7 +148,7 @@
             allPopups="false"
             locationURI="toolbar:org.txm.rcp.toolbartools">
          <command
-               commandId="SendToR"
+               commandId="org.txm.statsengine.r.rcp.handlers.SendToRCommand"
                icon="icons/SendToR.png"
                style="push">
             <visibleWhen
@@ -180,7 +180,7 @@
             allPopups="false"
             locationURI="popup:org.txm.rcp.views.corpora.CorporaView?after=org.txm.rcp.corporaview.tools.misc">
          <command
-               commandId="SendToR"
+               commandId="org.txm.statsengine.r.rcp.handlers.SendToRCommand"
                icon="icons/SendToR.png"
                style="push">
             <visibleWhen
